Refund a Payment
curl --request POST \
--url https://app.flowglad.com/api/v1/payments/{id}/refund \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"partialAmount": 123
}
'import requests
url = "https://app.flowglad.com/api/v1/payments/{id}/refund"
payload = { "partialAmount": 123 }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({partialAmount: 123})
};
fetch('https://app.flowglad.com/api/v1/payments/{id}/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment": {
"id": "<string>",
"createdAt": 0,
"updatedAt": 0,
"livemode": true,
"invoiceId": "<string>",
"amount": 4503599627370495,
"chargeDate": 0,
"description": "<string>",
"organizationId": "<string>",
"customerId": "<string>",
"purchaseId": "<string>",
"subscriptionId": "<string>",
"paymentMethodId": "<string>",
"billingPeriodId": "<string>",
"taxAmount": -1,
"subtotal": -1,
"taxState": "<string>",
"taxRatePercentage": "<string>",
"applicationFee": -1,
"refunded": true,
"refundedAmount": -1,
"failureMessage": "<string>",
"failureCode": "<string>",
"pricingModelId": "<string>",
"settlementDate": 0,
"receiptNumber": "<string>",
"receiptURL": "<string>",
"refundedAt": 0
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Payments
Refund a Payment
POST
/
api
/
v1
/
payments
/
{id}
/
refund
Refund a Payment
Authorizations
Path Parameters
Body
application/json
The amount to refund. If not provided, the entire amount will be refunded. Cannot exceed the amount of the associated payment.
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I